%define name           basket
%define longtitle      BasKet for KDE
%define version        1.0.3.1
%define release        %mkrel 1


Name:           %name
Summary:        %longtitle
Version:        %version
Release:        %release
URL:           	http://basket.kde.org/
Source0:        http://basket.kde.org/downloads/%name-%version.tar.gz
Patch2:         basket-1.0Beta3-fix-compile.patch 
Patch3:		basket-1.0-fix-crash.patch
Patch4:		basket-1.0.2.kontact-plugin.patch
Patch5: 	basket-1.0.2.fix-automake.patch
Group:		Office
BuildRoot:      %{_tmppath}/%{name}-buildroot
License:	GPLv2+
BuildRequires:  kdepim-devel
BuildRequires:  desktop-file-utils
Requires:	kdebase-progs >= 3.0

%description
This application is mainly an all-purpose notes taker. 
It provide several baskets where to drop every sort of 
items: text, rich text, links, images, sounds, files, 
colors, application launcher...
Objects can be edited, copied, dragged... So, you can 
arrange them as you want !
This application can be used to quickly drop web objects 
(link, text, images...) or notes, as well as to free your 
clutered desktop (if any).
It is also useful to collect informations for a report. 
Those data can be shared with co-workers by exporting 
baskets to HTML.

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache crystalsvg
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache crystalsvg
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_kde3_bindir}/basket
%_kde3_appsdir/%name
%_kde3_datadir/services/*.desktop
%_kde3_datadir/config/magic/*.magic
%_kde3_datadir/mimelnk/application/*.desktop
%{_kde3_iconsdir}/*/*/*/*
%_kde3_datadir/applications/kde/basket.desktop
%_kde3_datadir/services/kontact/*.desktop
%_kde3_datadir/apps/kontact/ksettingsdialog/*.setdlg
%_kde3_libdir/kde3/*
%_kde3_libdir/*.la
%_kde3_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch2 -p0
%patch3 -p1 -b .fix_crash
%patch4 -p0
%patch5 -p0

%build
make -f Makefile.cvs
%configure_kde3 --disable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %name --with-html


# XDG Menu
desktop-file-install --vendor=""\
  --add-category="KDE" \
  --add-category="Qt" \
  --add-category="Office" \
  --add-category="Utility" \
  --dir $RPM_BUILD_ROOT%{_kde3_datadir}/applications/kde/ $RPM_BUILD_ROOT%{_kde3_datadir}/applications/kde/%{name}.desktop

%clean
rm -rf %buildroot


%changelog
* Sat Jul 26 2008 Funda Wang <fundawang@mandriva.org> 1.0.3.1-1mdv2009.0
+ Revision: 250123
- New version 1.0.3.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jan 29 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.2-2mdv2008.1
+ Revision: 160000
- Fix automake patch
- Add patch5 to fix automake check
- Remove useless  condition
- Fix loading of baket on Kontact
  Fix BuildRequires

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 18357
- New version 1.0.2


* Mon Mar 19 2007 Laurent Montel <lmontel@mandriva.com> 1.0.1-1mdv2007.1
+ Revision: 146421
- 1.0.1
- 1.0

* Fri Feb 09 2007 Laurent Montel <lmontel@mandriva.com> 1.0-0.rc3.2mdv2007.1
+ Revision: 118519
- Fix crash
- 1.0rc3

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add lib package
    - New version -1.0Beta3
    - Fix menu
    - Reorganize file list

* Wed Oct 18 2006 Laurent Montel <lmontel@mandriva.com> 0.6.0-1mdv2007.1
+ Revision: 65805
- Fix spec file
- 0.6.0
  DONT UPLOAD IT !!!!!!!!!!!

* Sat Aug 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.0-1.beta2.3mdv2007.0
+ Revision: 52779
- Add missing source
- Increase release
- sync with cvs ( fix kontact crash ( ticket #24132))

* Thu Aug 03 2006 Laurent Montel <lmontel@mandriva.com> 0.6.0-1.beta2.2mdv2007.0
+ Revision: 42951
- Use xdg menu
- beta2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import basket-0.6.0-1.alpha2.1mdk

* Wed Apr 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-1.alpha2.1mdk
- Alpha 2  : Thanks jq for pointing me out this release

* Thu Jan 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.alpha1.2mdk
- Fix Build for x86_64

* Wed Jan 18 2006 Nicolas Lcureuil <neoclust@mandrake.org> 0.6.0-0.alpha1.1mdk
- 0.6.0 Alpha1

* Wed Jul 13 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-3mdk
- Fix File section

* Fri May 06 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-2mdk
- Fix BuildRequires 
- Fix Build For amd64

* Wed Apr 06 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-1mdk
- First release

